# Get games list

Gets a games list for building a catalog.

  Attention
    All projects have the limitation to the number of items that you can
    get in the response. The default and maximum value is 50 items
    per response. To get more data page by page, use limit
    and offset fields.
  
  Note
    This API call returns generic item catalog data when used without
    authorization. Use authorization to retrieve
    personalized
    user data, such as limits and promotions associated with the item.
    To do this, pass the user JWT in the Authorization header.
    For more information about user JWT, see the Security block
    for this call.

Endpoint: GET /v2/project/{project_id}/items/game
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Query parameters:

  - `limit` (integer)
    Limit for the number of elements on the page.
    Example: 50

  - `offset` (integer)
    Number of the element from which the list is generated (the count starts from 0).

  - `locale` (string)
    Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

  - `additional_fields[]` (array)
    Additional fields to include in the response. By default, these fields are not returned. Pass the required values to include them.
    Enum: "media_list", "order", "long_description", "custom_attributes", "item_order_in_group"

  - `country` (string)
    Two-letter uppercase country code per ISO 3166-1 alpha-2. Check the documentation for detailed information about countries supported by Xsolla and the process of determining the country.
    Example: "US"

  - `promo_code` (string)
    Unique case sensitive code. Contains letters and numbers.
    Example: "WINTER2021"

  - `show_inactive_time_limited_items` (integer)
    Shows time-limited items that are not available to the user. The validity period of such items has not started or has already expired.
    Example: 1

## Response 200 fields (application/json):

  - `has_more` (boolean)
    Used as an indicator that there are more pages.

  - `items` (array)
    Example: [{"sku":"com.xsolla.game_1","name":"Game name","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"type":"unit","unit_type":"game","description":"Game description","image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","attributes":[{"external_id":"genre","name":"Genre","values":[{"external_id":"23fda05111c125608af8f1fa0e99db45a10ea1cc","value":"Horror"}]}],"promotions":[],"unit_items":[{"sku":"com.xsolla.game_key_01","type":"game_key","is_free":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"drm_name":"Steam","drm_sku":"steam_key_1","has_keys":true,"is_pre_order":true,"release_date":"2020-08-11T10:00:00+03:00","promotions":[],"periods":[{"date_from":"2020-08-11T10:00:00+03:00","date_until":"2020-08-11T20:00:00+03:00"}]},{"sku":"com.xsolla.game_key_02","type":"game_key","is_free":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"drm_name":"Origin","drm_sku":"origin_key_1","has_keys":false,"is_pre_order":false,"release_date":null,"promotions":[],"periods":[]}]},{"sku":"com.xsolla.game_2","name":"Game name","groups":[{"external_id":"all","name":"All games"}],"type":"unit","unit_type":"game","description":"Game description","image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]}],"promotions":[],"unit_items":[{"sku":"com.xsolla.game_key_01","type":"game_key","is_free":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"drm_name":"Steam","drm_sku":"steam_key_2","has_keys":false,"is_pre_order":false,"release_date":null,"promotions":[],"periods":[{"date_from":null,"date_until":"2020-08-11T20:00:00+03:00"}]}]}]

  - `items.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "game_01"

  - `items.name` (string)
    Item name.
    Example: "Game name"

  - `items.groups` (array)
    Groups the item belongs to.

  - `items.groups.external_id` (string)
    [External item group ID](/api/catalog/item-groups-admin/admin-create-item-group#item-groups-admin/admin-create-item-group/t=request&path=external_id) specified during creation.
    Example: "exclusive"

  - `items.groups.name` (string)
    Name of the group.
    Example: "Exclusive"

  - `items.groups.item_order_in_group` (integer)
    The item's position within the group that determines its display order. 
Returned only if requested via the additional_fields[] query parameter.
    Example: 1

  - `items.attributes` (array)
    List of attributes and their values corresponding to the item. Can be used for catalog filtering.

  - `items.attributes.external_id` (string)
    Unique attribute ID. The external_id may contain only lowercase and uppercase Latin alphanumeric characters, dashes, and underscores.

  - `items.attributes.name` (string)
    Name of attribute.
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    Unique value ID for an attribute. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.

  - `items.attributes.values.value` (string)
    Value of attribute.
    Example: "Strategy"

  - `items.type` (string)
    Type of item: virtual_good/virtual_currency/bundle/physical_good/unit.
    Example: "unit"

  - `items.unit_type` (string)
    Type of unit: game.
    Example: "game"

  - `items.description` (string)
    Item description.
    Example: "Game description"

  - `items.image_url` (string)
    Image URL.
    Example: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"

  - `items.promotions` (array)
    Applied promotions for specific items in the cart. The array is returned in the following cases:

* A discount promotion is configured for a specific item.

* A promo code with the Discount on selected items setting is applied.

If no item-level promotions are applied, an empty array is returned.

  - `items.promotions.name` (string)

  - `items.promotions.date_start` (string,null)

  - `items.promotions.date_end` (string,null)

  - `items.promotions.discount` (object,null)

  - `items.promotions.discount.percent` (string,null)

  - `items.promotions.discount.value` (string,null)

  - `items.promotions.bonus` (array)

  - `items.promotions.bonus.sku` (string)

  - `items.promotions.bonus.quantity` (integer)

  - `items.promotions.bonus.type` (string)
    Bonus item type.
    Enum: "virtual_good", "virtual_currency", "bundle", "physical_good", "game_key", "nft"

  - `items.promotions.bonus.name` (string)
    Bonus item name. Not available for physical_good bonus item type.

  - `items.promotions.bonus.image_url` (string)
    Bonus item image URL. Not available for physical_good bonus item type.

  - `items.promotions.bonus.bundle_type` (string)
    Bonus bundle item type. Available only for bundle bonus item type.
    Enum: "standard", "virtual_currency_package"

  - `items.promotions.limits` (object)

  - `items.promotions.limits.per_user` (object)

  - `items.promotions.limits.per_user.available` (integer)

  - `items.promotions.limits.per_user.total` (integer)

  - `items.unit_items` (array)

  - `items.unit_items.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "game_01"

  - `items.unit_items.type` (string)
    Type of item: game_key.
    Example: "game_key"

  - `items.unit_items.is_free` (boolean)
    Whether the item is free.

  - `items.unit_items.price` (object)
    Item prices.

  - `items.unit_items.price.amount` (string)
    Discounted item price.
    Example: "2.9900"

  - `items.unit_items.price.amount_without_discount` (string)
    Item price.
    Example: "2.9900"

  - `items.unit_items.price.currency` (string)
    Item price currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `items.unit_items.virtual_prices` (array)
    Virtual prices.

  - `items.unit_items.virtual_prices.amount` (integer)
    Item price in virtual currency.
    Example: 100

  - `items.unit_items.virtual_prices.amount_without_discount` (integer)
    Item price in virtual currency without discount. Always equal to amount since discounts are not applied to prices in virtual currency.
    Example: 200

  - `items.unit_items.virtual_prices.sku` (string)
    Virtual currency SKU.
    Example: "vc_gold"

  - `items.unit_items.virtual_prices.is_default` (boolean)
    Whether it is the default price in virtual currency.
    Example: true

  - `items.unit_items.virtual_prices.image_url` (string,null)
    Virtual currency image URL.
    Example: "http://image.png"

  - `items.unit_items.virtual_prices.name` (string)
    Virtual currency name.
    Example: "Gold"

  - `items.unit_items.virtual_prices.type` (string)
    Item type. For virtual currency, it is virtual_currency.
    Example: "virtual_currency"

  - `items.unit_items.virtual_prices.description` (string,null)
    Virtual currency description.
    Example: "In-game currency used to purchase weapons and upgrades"

  - `items.unit_items.can_be_bought` (boolean)
    If true, the user can buy an item.

  - `items.unit_items.drm_name` (string)
    DRM name.
    Example: "Steam"

  - `items.unit_items.drm_sku` (string)
    Unique DRM ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "steam"

  - `items.unit_items.has_keys` (boolean)
    If true, the game key has keys for sale.

  - `items.unit_items.is_pre_order` (boolean)
    If true, the game key is pre-order and the release date hasn't passed.
    Example: true

  - `items.unit_items.release_date` (string,null)
    Game key release date in the ISO 8601 format.
    Example: "2020-08-11T10:00:00+03:00"

  - `items.unit_items.promotions` (array)
    Applied promotions for specific items in the cart. The array is returned in the following cases:

* A discount promotion is configured for a specific item.

* A promo code with the Discount on selected items setting is applied.

If no item-level promotions are applied, an empty array is returned.

  - `items.unit_items.promotions.name` (string)

  - `items.unit_items.promotions.date_start` (string,null)

  - `items.unit_items.promotions.date_end` (string,null)

  - `items.unit_items.promotions.discount` (object,null)

  - `items.unit_items.promotions.discount.percent` (string,null)

  - `items.unit_items.promotions.discount.value` (string,null)

  - `items.unit_items.promotions.bonus` (array)

  - `items.unit_items.promotions.bonus.sku` (string)

  - `items.unit_items.promotions.bonus.quantity` (integer)

  - `items.unit_items.promotions.bonus.type` (string)
    Bonus item type.
    Enum: "virtual_good", "virtual_currency", "bundle", "physical_good", "game_key", "nft"

  - `items.unit_items.promotions.bonus.name` (string)
    Bonus item name. Not available for physical_good bonus item type.

  - `items.unit_items.promotions.bonus.image_url` (string)
    Bonus item image URL. Not available for physical_good bonus item type.

  - `items.unit_items.promotions.bonus.bundle_type` (string)
    Bonus bundle item type. Available only for bundle bonus item type.
    Enum: "standard", "virtual_currency_package"

  - `items.unit_items.promotions.limits` (object)

  - `items.unit_items.promotions.limits.per_user` (object)

  - `items.unit_items.promotions.limits.per_user.available` (integer)

  - `items.unit_items.promotions.limits.per_user.total` (integer)

  - `items.unit_items.periods` (array,null)
    Item sales period.

  - `items.unit_items.periods.date_from` (string)
    Date when the specified item will be available for sale.
    Example: "2020-08-11T10:00:00+03:00"

  - `items.unit_items.periods.date_until` (string,null)
    Date when the specified item will become unavailable for sale. Can be null.
    Example: "2020-08-11T20:00:00+03:00"

  - `items.unit_items.vp_rewards` (array)
    List of value point rewards for the item.

  - `items.unit_items.vp_rewards.item_id` (integer)
    Internal unique item ID.

  - `items.unit_items.vp_rewards.sku` (string)
    Unique value point ID.

  - `items.unit_items.vp_rewards.amount` (integer)
    Amount of value points.

  - `items.unit_items.vp_rewards.name` (string)
    Value point name.

  - `items.unit_items.vp_rewards.image_url` (string)
    Image URL.

  - `items.unit_items.vp_rewards.is_clan` (boolean)
    Whether the value point is used in clan reward chains.

  - `items.unit_items.loyalty_rewards` (array)
    Loyalty points the user receives as a reward for purchasing the item.

  - `items.unit_items.loyalty_rewards.name` (string)
    Loyalty point name.

  - `items.unit_items.loyalty_rewards.sku` (string)
    Loyalty point SKU. Pass this value in the loyalty_point_sku parameter of other API calls, for example, when creating an order paid with loyalty points.

  - `items.unit_items.loyalty_rewards.description` (string)
    Loyalty point description.

  - `items.unit_items.loyalty_rewards.image_url` (string,null)
    Image URL.

  - `items.unit_items.loyalty_rewards.amount` (integer)
    Number of loyalty points the user receives for purchasing the item.

  - `items.unit_items.loyalty_prices` (array)
    Loyalty points that can be used to purchase the item.

  - `items.unit_items.loyalty_prices.name` (string)
    Loyalty point name.

  - `items.unit_items.loyalty_prices.sku` (string)
    Loyalty point SKU. Pass this value in the loyalty_point_sku parameter of other API calls, for example, when creating an order paid with loyalty points.

  - `items.unit_items.loyalty_prices.description` (string)
    Loyalty point description.

  - `items.unit_items.loyalty_prices.image_url` (string,null)
    Image URL.

  - `items.unit_items.loyalty_prices.amount` (integer)
    Item price in the specified loyalty points.


